<div class="container" style="align-content: center">
  <div mat-dialog-content>
    <p *ngIf="data.state===0">Сохранить изменения?</p>
    <p *ngIf="data.state===1">Введите название контрагента</p>
    <p *ngIf="data.state===2">Введите название категории</p>
    <p *ngIf="data.state===4">Введите название группы работ</p>
    <p *ngIf="data.state===3 || data.state===5">Заполните необходимые данные о работе</p>
  </div>
  <div>
    <mat-form-field class="example-full-width">
      <input *ngIf="data.state===1" matInput maxlength="50" placeholder="Название контрагента"
             [formControl]="required"
             [(ngModel)]="data.name" required pattern="[a-z]|[A-Z]|[А-Я]|[а-я]|[0-9]">
      <input *ngIf="data.state===2" maxlength="50" matInput
             placeholder="Название категории" [formControl]="required"
             [(ngModel)]="data.name" required pattern="[a-z]|[A-Z]|[А-Я]|[а-я]|[0-9]">
      <input *ngIf="data.state===4" maxlength="50" matInput
             placeholder="Название группы работ" [formControl]="required"
             [(ngModel)]="data.name" required pattern="[a-z]|[A-Z]|[А-Я]|[а-я]|[0-9]">
      <input *ngIf="data.state===3 || data.state===5" matInput maxlength="50" placeholder="Название работы"
             [formControl]="required1"
             [(ngModel)]="data.name" required>
    </mat-form-field>
    <mat-form-field class="example-full-width" *ngIf="data.state===3 || data.state===5">
      <input *ngIf="data.state===3 || data.state===5" matInput maxlength="5" placeholder="Максимальная цена"
             [formControl]="required2"
             [(ngModel)]="data.price_max" required>
    </mat-form-field>
    <mat-form-field class="example-full-width" *ngIf="data.state===3 || data.state===5">
      <input *ngIf="data.state===3 || data.state===5" matInput maxlength="5" placeholder="Минимальная цена"
             [formControl]="required22"
             [(ngModel)]="data.price_min" required>
    </mat-form-field>
    <mat-form-field class="example-full-width" *ngIf="data.state===3 || data.state===5">
      <input *ngIf="data.state===3 || data.state===5" matInput maxlength="4" placeholder="Норматив времени в минутах"
             [formControl]="required3"
             [(ngModel)]="data.defaultTime" required>
    </mat-form-field>
    <mat-form-field class="example-full-width" *ngIf="data.state===3 || data.state===5">
      <input matInput maxlength="2" placeholder="Со скольки доступна в часах"
             [formControl]="required4"
             [(ngModel)]="data.availableFrom">
    </mat-form-field>
    <mat-form-field class="example-full-width" *ngIf="data.state===3 || data.state===5">
      <input matInput maxlength="2" placeholder="До скольки доступна в часах"
             [formControl]="required5"
             [(ngModel)]="data.availableTo">
    </mat-form-field>
  </div>
  <div mat-dialog-actions class="row">
    <button *ngIf="data.state !== 0 && data.state !==3 && data.state !== 5 && (!data.name || data.name.length === 0)"
            disabled mat-raised-button
            color="primary" [mat-dialog-close]="false"
            style="float: left; margin-bottom: 12px">Добавить
    </button>
    <button *ngIf="data.state !== 0 && data.state !==3 && data.state !== 5 && data.name && data.name.length > 0"
            mat-raised-button color="primary" mat-button
            [mat-dialog-close]="data.name"
            style="float: left; margin-bottom: 12px">Добавить
    </button>
    <button
      *ngIf="(data.state ===3 || data.state === 5) && !required1.invalid && !required2.invalid && !required3.invalid
      && !required4.invalid && !required5.invalid"
      mat-raised-button
      color="primary" mat-button
      [mat-dialog-close]="data"
      style="float: left; margin-bottom: 12px">Добавить
    </button>
    <button
      *ngIf="(data.state ===3 || data.state === 5) && (required1.invalid || required2.invalid || required3.invalid ||
      required4.invalid || required5.invalid)"
      disabled mat-raised-button
      color="primary" [mat-dialog-close]="false"
      style="float: left; margin-bottom: 12px">Добавить
    </button>
    <button *ngIf="data.state === 0" mat-raised-button color="primary" mat-button [mat-dialog-close]="true"
            style="float: left; margin-bottom: 12px">Сохранить
    </button>
    <button mat-raised-button color="warn" [mat-dialog-close]="false"
            style="float: right; margin-left: 20px; margin-bottom: 12px">Отмена
    </button>
  </div>
</div>
